%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jacc-1.5-api
Version:          1.0.0
Release:          8%{dist}
Summary:          JACC 1.5 API (JSR-115)
License:          (CDDL or GPLv2 with exceptions) or LGPLv2+
URL:              https://github.com/jboss/jboss-jacc-api_spec
Source0:          https://github.com/jboss/jboss-jacc-api_spec/archive/jboss-jacc-api_1.5_spec-%{namedversion}.tar.gz

BuildRequires:    jboss-parent
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    junit
BuildRequires:    maven-local
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-plugin-bundle
BuildRequires:    maven-surefire-provider-junit

BuildArch:        noarch

Provides:         javax.security.jacc

%description
JSR-000115 Java Authorization Contract for Containers 1.5 API

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jacc-api_spec-jboss-jacc-api_1.5_spec-%{namedversion}

%mvn_file :{jboss-jacc-api_1.5_spec} %{name} %{name}/%{name} javax.security.jacc/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_javadir}/javax.security.jacc
%{_javadir}/%{name}.jar
%doc README LICENSE

%files javadoc -f .mfiles-javadoc
%doc README LICENSE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 15 2016 Merlin Mathesius <mmathesi@redhat.com> - 1.0.0-6
- Add missing BuildRequires to fix FTBFS (BZ#1405229).

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 01 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-3
- Drop junit4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final
- jboss-jacc-1.5-api: broken symlink, RHBZ#1079186

* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

